<?php
	if ( ! defined( 'ABSPATH' ) ) exit;
	
	function wp_tell_a_freind_head() {
		include_once dirname( __FILE__ ) . "/../templates/wp-sms-tell-friend-head.php";
	}
	
	function wp_tell_a_freind($content) {
	
		if(is_single()) {
		
			global $sms;
			
			include_once dirname( __FILE__ ) . "/../templates/wp-sms-tell-friend.php";
			
			if($_POST['send_post']) {
				$mobile = $_POST['get_fmobile'];
				if($_POST['get_name'] && $_POST['get_fname'] && $_POST['get_fmobile']) {
					if( (strlen($mobile) >= 11) && (substr($mobile, 0, 2) == get_option('wp_sms_mcc')) && (preg_match("([a-zA-Z])", $mobile) == 0) ) {
						$sms->to = array($_POST['get_fmobile']);
						$sms->msg = sprintf(__('Hi %s, the %s post suggested to you by %s. url: %s', 'wp-sms'), $_POST['get_fname'], get_the_title(), $_POST['get_name'], wp_get_shortlink());
						
						if( $sms->SendSMS() )
							_e('SMS was sent with success', 'wp-sms');
							
					} else {
						_e('Please enter a valid mobile number', 'wp-sms');
					}
				} else {
					_e('Please complete all fields', 'wp-sms');
				}
			}
		}
		return $content;
		
	}
	
	if(get_option('wp_suggestion_status')) {
		add_action('wp_head', 'wp_tell_a_freind_head');
		add_action('the_content', 'wp_tell_a_freind');
	}
	
	function wps_modify_contact_methods($fields) {
		$fields['mobile'] = __('Mobile', 'wp-sms');
		
		return $fields;
	}
	
	function wps_register_form() {
		$mobile = ( isset( $_POST['mobile'] ) ) ? $_POST['mobile']: '';
		?>
		<p>
			<label for="mobile"><?php _e('Your Mobile Number','wp-sms') ?><br />
			<input type="text" name="mobile" id="mobile" class="input" value="<?php echo esc_attr(stripslashes($mobile)); ?>" size="25" /></label>
		</p>
		<?php
	}
	
	function wps_registration_errors($errors, $sanitized_user_login, $user_email) {
		global $sms, $wpdb, $table_prefix;
		
		$verify_config = get_option('wpsms_verify_config');
		
		if ( empty( $_POST['mobile'] ) ){
			$errors->add( 'first_name_error', __('<strong>ERROR</strong>: You must include a mobile number.', 'wp-sms') );
		} else {
			$mobile_no = $_POST['mobile'];
			$get_mobile = $wpdb->get_results("SELECT * FROM `{$table_prefix}usermeta` WHERE `meta_key` = 'mobile' AND `meta_value` = '$mobile_no'");
			$mobile = $get_mobile[0]->meta_value;
			if($mobile){
				$errors->add( 'mobile_error', __('<strong>ERROR</strong>: This mobile number is already exist.', 'wp-sms') );
			} else {
				if($verify_config == "on"){
					
					$user_login = $_POST["user_login"];
					$user_email = $_POST["user_email"];
					$mobile = doubleval($_POST["mobile"]);
					$verification = $_POST["verification"];
					$wp_submit = $_POST["wp_submit"];
					$wp_resend = $_POST["wp_resend"];
					
					$random_number = mt_rand(100000, 999999);
					$get_current_date = time();

					$verify_form = '
					<p>
						<form method="post" action="'.$_SERVER["REQUEST_URI"].'">
							<label for="verification">'.__('Verification', 'wp-sms').'<br />
							<input required placeholder="'.__('123456', 'wp-sms').'" type="text" name="verification" id="verification" class="input" value="" size="25" /></label>
					</p>
					<p class="submit">
							<input type="hidden" name="user_login" value="'.$user_login.'" />
							<input type="hidden" name="user_email" value="'.$user_email.'" />
							<input type="hidden" name="mobile" value="'.$mobile.'" />
							<input type="hidden" name="redirect_to" value="" />
							<input type="submit" name="wp_submit" id="wp_submit" class="button button-primary button-large" value="'.__('verify', 'wp-sms').'">
						</form>
					
					<form method="post" action="'.$_SERVER["REQUEST_URI"].'" style="padding: 0;float: right;margin-top: -75px;margin-right: 24px;">
						<input type="hidden" name="user_login" value="'.$user_login.'" />
						<input type="hidden" name="user_email" value="'.$user_email.'" />
						<input type="hidden" name="mobile" value="'.$mobile.'" />
						<input type="hidden" name="redirect_to" value="" />
						<input type="submit" name="wp_resend" id="wp_resend" class="button button-default button-large" value="'.__('resend', 'wp-sms').'">
					</form>
					</p>
					';

					if($wp_resend){
						$ReSendSMSforVerification = $sms->SendSMSforVerification($random_number, $mobile);
						
						if($ReSendSMSforVerification){

							$Reselect = $wpdb->query("SELECT * FROM `{$table_prefix}sms_verification` WHERE `user_login` = '$user_login' AND `user_email` = '$user_email'");

							if($Reselect > 0){
								$Reupdate = $wpdb->update("{$table_prefix}sms_verification",
									array(
										'code' => $random_number,
										'status' => 'pending',
										'add_time' => $get_current_date,
										'mobile' => $mobile
									),
									array(
										'user_login' => $user_login,
										'user_email' => $user_email
									)
								);
							} else {
								$Reinsert = $wpdb->insert("{$table_prefix}sms_verification", array(
									'user_login' => $user_login,
									'user_email' => $user_email,
									'mobile' => $mobile,
									'code' => $random_number,
									'status' => 'pending',
									'add_time' => $get_current_date
								));	
							}
						} else {
							$errors->add( 'verify_send_error', __('<strong>ERROR</strong>: verification sending unsuccessful.', 'wp-sms') );
							$errors->add( 'verification_form', $verify_form );
						}
					} 
					
					if($verification == ""){
						if($wp_submit != "verify"){
						
							$SendSMSforVerification = $sms->SendSMSforVerification($random_number, $mobile);
							
							if($SendSMSforVerification){

								$select = $wpdb->query("SELECT * FROM `{$table_prefix}sms_verification` WHERE `user_login` = '$user_login' AND `user_email` = '$user_email'");

								if($select > 0){
									$update = $wpdb->update("{$table_prefix}sms_verification",
										array(
											'code' => $random_number,
											'status' => 'pending',
											'add_time' => $get_current_date,
											'mobile' => $mobile
										),
										array(
											'user_login' => $user_login,
											'user_email' => $user_email
										)
									);
								} else {
									$insert = $wpdb->insert("{$table_prefix}sms_verification", array(
										'user_login' => $user_login,
										'user_email' => $user_email,
										'mobile' => $mobile,
										'code' => $random_number,
										'status' => 'pending',
										'add_time' => $get_current_date
									));	
								}
							} else {
								$errors->add( 'verify_send_error', __('<strong>ERROR</strong>: verification sending unsuccessful.', 'wp-sms') );
								$errors->add( 'verification_form', $verify_form );
							}
							$errors->add( 'verification_form', $verify_form );
						} else {
							$errors->add( 'verify_require_error', __('<strong>ERROR</strong>: verification code required.', 'wp-sms') );
							$errors->add( 'verification_form', $verify_form );
						}
					} else {
						$results = $wpdb->get_results("SELECT * FROM `{$table_prefix}sms_verification` WHERE `user_login` = '$user_login' AND `user_email` = '$user_email' AND `mobile` = '$mobile' ORDER BY id DESC LIMIT 1");
						
						if(empty($results)){
							$errors->add( 'no_user_error', __('<strong>ERROR</strong>: No user for check verification.', 'wp-sms') );
							$errors->add( 'verification_form', $verify_form );
						} else {
							if($results[0]->code == $verification){
								$update = $wpdb->update("{$table_prefix}sms_verification",
									array(
										'status' => 'active',
										'add_time' => $get_current_date,
										'mobile' => $mobile
									),
									array(
										'user_login' => $user_login,
										'user_email' => $user_email
									)
								);
							} else {
								$errors->add( 'no_valid_varify_error', __('<strong>ERROR</strong>: Verification code is not valid.', 'wp-sms') );
								$errors->add( 'verification_form', $verify_form );
							}
						}
					}
				}
			}
		}

		return $errors;
	}
	
	function wps_save_register($user_id) {
		if ( isset( $_POST['mobile'] ) ) {
		
			global $sms, $date;
			
			// Update user meta
			update_user_meta($user_id, 'mobile', $_POST['mobile']);
			
			// Send sms to user.
			$string = get_option('wpsms_narnu_tt');
			
			$username_info = get_userdata($user_id);
			
			$template_vars = array(
				'user_login'	=> $username_info->user_login,
				'user_email'	=> $username_info->user_email,
				'date_register'	=> $date,
			);
			
			$final_message = preg_replace('/%(.*?)%/ime', "\$template_vars['$1']", $string);
			
			$sms->to = array($_POST['mobile']);
			$sms->msg = $final_message;
			
			$sms->SendSMS();
		}
	}
	
	if(get_option('wps_add_mobile_field')) {
		add_filter('user_contactmethods', 'wps_modify_contact_methods');
		add_action('register_form','wps_register_form');
		add_filter('registration_errors', 'wps_registration_errors', 10, 3);
		
		if(get_option('wpsms_nrnu_stats'))
			add_action('user_register', 'wps_save_register');
	}